- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_input_device_info_t Struct Reference
[XCB Input API]

xcb_input_device_info_t More...

`#include <xinput.h>`

## Data Fields
xcb_atom_t | device_type
uint8_t | device_id
uint8_t | num_class_info
uint8_t | device_use
uint8_t | pad0

## Detailed Description

xcb_input_device_info_t

## Field Documentation

xcb_atom_t xcb_input_device_info_t::device_type

uint8_t xcb_input_device_info_t::device_id

uint8_t xcb_input_device_info_t::num_class_info

uint8_t xcb_input_device_info_t::device_use

uint8_t xcb_input_device_info_t::pad0

The documentation for this struct was generated from the following file:

- xinput.h